# popup_for_bad_login.py



import bpy
import webbrowser
import subprocess
import platform
from logger_module        import Logger

logger       = Logger.get_logger()      ####################  global, is set up on load 



def do_popup( ):    
    
    logger.info( f'launching bad credentials/bad login warning popup')
    bpy.ops.wm.bad_login_popup('INVOKE_DEFAULT')




class BadLoginPopupOperator(bpy.types.Operator):
    
    bl_idname = "wm.bad_login_popup"
    bl_label  = "Warning: Invalid credentials"

    def draw(self, context):
        layout = self.layout
        layout.label(text="Please check that you are entering")
        layout.label(text="your correct email and password.")
        

    def invoke(self, context, event):
        return context.window_manager.invoke_props_dialog(self)


    def execute(self, context):
        pass                        # nothing needs doing, just wanted 'OK' user acknowledgement                        
        return {'FINISHED'}

